package usecase

import (
	"log/slog"

	"gommunicator/internal/communicator"
	"gommunicator/internal/memory"
)

type Usecase struct {
	log          *slog.Logger
	memory       *memory.Memory
	communicator *communicator.Communicator
}

func New(log *slog.Logger, memory *memory.Memory, communicator *communicator.Communicator) *Usecase {
	return &Usecase{
		log:          log,
		memory:       memory,
		communicator: communicator,
	}
}
